Subject: bug#29822: closed (Re: bug#29822: tramp send "exec plink -l" to cmd in windows)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 25 Dec 2017 17:06:03 +0000

Your bug report

#29822: tramp send "exec plink -l" to cmd in windows

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29822: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29822
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29822: tramp send "exec plink -l" to cmd in windows
From: Michael Albinus <[email-masked]>
To: Shuguang Sun <[email-masked]>
Cc: [email-masked]
Date: Mon, 25 Dec 2017 18:04:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Shuguang Sun <[email-masked]> writes:

Hi Shuguang,

> Now it is fixed. Thank you very much for your time.

Thanks for checking. I'm closing the bug.

Best regards, Michael.

Subject: tramp send "exec plink -l" to cmd in windows
From: Shuguang Sun <[email-masked]>
To: [email-masked]
Date: Sat, 23 Dec 2017 16:15:01 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

When I use 2017.12.09 version git emacs. Tramp works correctly: it promotes
to ask me the passwork.
When I use 2017.12.17 version (or after) git emacs, Tramp can't ask me
password and hangs at waiting for feedback from remote.

I look into the trace and debug buffer, and found that it send command
"exec plink -l". However, "exec" is not an internal nor external command in
CMD in windows, and then stopped.
The trace and debug files can be found at:
https://github.com/ShuguangSun/emacs-tramp-exec-bug-20171223

Best Regards,
Shuguang